Skip to main content
GET
/
api
/
v1
/
logs
/
audit
/
latest
Retrieve Latest Audit Log
curl --request GET \
  --url https://api.harvey.ai/api/v1/logs/audit/latest \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.harvey.ai/api/v1/logs/audit/latest"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.harvey.ai/api/v1/logs/audit/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "log": {
    "data": {
      "ip": "0.0.0.0",
      "route": "/api/v1/logs/audit/earliest",
      "site": "us",
      "time": "earliest",
      "user_agent": "PostmanRuntime/7.44.0"
    },
    "id": "0197414f-881b-7a47-ac07-f0ae28f16ab9",
    "ip": "0.0.0.0",
    "timestamp": "2025-06-05T18:17:00.697625",
    "type": "api:audit_log_fetch",
    "user": "svc-user-c6ecbe266a0ed8e58453@kwm.com",
    "user_agent": "PostmanRuntime/7.44.0"
  }
}

Permissions

Requires Territory admin or Organization admin permission.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

log_type
string

Optional filter to return only logs of a specific type. For Microsoft add-in activity, use add-in-specific log types such as user:word_add_in_docx_drafting or user:outlook_add_in_ask. See the Audit Logs Guide for a complete list of log types.

Example:

"auth:login"

Response

Latest audit log entry

log
object
required